mdadm (4.5-5ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130173). Remaining changes:
    - d/{control,mdadm.install,/finalrd/mdadm.finalrd}: ship a finalrd hook
  * New changes to fix autopkgtests:
    - d/t/control: add allow-stderr restriction
    - d/t/test-installed: disable failing on error and skip tests
      Use same test settings as the upstream github tests to prevent
      failing after error and disable problematic or extra long tests
    - d/p/u/disable-tests-failing-on-ubuntu.patch: disable some tests
      that fail either intermittently or consistently on Ubuntu (LP: #2144935)

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 19 Feb 2026 15:24:04 -0800

mdadm (4.5-5) sid; urgency=medium

  * Updating watch file to version 5.
  * Cherry-picking patch from upstream to fix probing non-DDF which in
    turns fixes timeouts in dracut tests, thanks to Benjamin Drung
    <bdrung@debian.org> for reporting (Closes: #1128401).

 -- Daniel Baumann <daniel@debian.org>  Thu, 19 Feb 2026 12:45:48 +0100

mdadm (4.5-4) sid; urgency=medium

  * Always including efivarfs to have generic initramfs, thanks to Roland
    Clobus <rclobus@rclobus.nl> (Closes: #1114521).

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Feb 2026 04:17:16 +0100

mdadm (4.5-3) sid; urgency=medium

  * Cherry-picking patch from upstream to load md_mod first before setting
    module parameter legacy_async_del_gendisk (Closes: #1125390).

 -- Daniel Baumann <daniel@debian.org>  Wed, 04 Feb 2026 19:56:52 +0100

mdadm (4.5-2) sid; urgency=medium

  * Adding Chinese (simplified) debconf translations from Yangfl
    <mmyangfl@gmail.com> (Closes: #1124731).
  * Adding Chinese (traditional) debconf translations from Yangfl
    <mmyangfl@gmail.com> (Closes: #1124731).

 -- Daniel Baumann <daniel@debian.org>  Tue, 06 Jan 2026 07:34:33 +0100

mdadm (4.5-1) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Wrap and sorting debian files.
  * Merging upstream version 4.5.
  * Updating years in copyright for 2026.
  * Refreshing randomize-timers.patch.
  * Removing xmalloc-ftbfs.patch, included upstream.
  * Removing monitor-nonabsolute-devnames.patch, included upstream.
  * Removing monitor-memory-leak.patch, included upstream.
  * Removing manpage-remove-bitmap.patch, included upstream.

 -- Daniel Baumann <daniel@debian.org>  Sun, 04 Jan 2026 07:27:28 +0100

mdadm (4.4-14) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Adding updated Swedish debconf translations from Martin Bagge
    <brother@persilja.net> (Closes: #1121992).
  * Adding updated Catalan debconf translations from Carles Pina i Estany
    <carles@pina.cat> (Closes: #1117573).

 -- Daniel Baumann <daniel@debian.org>  Sun, 07 Dec 2025 09:32:47 +0100

mdadm (4.4-13) sid; urgency=medium

  * Adding patch from QRPp <awesome.walrus+github@gmail.com> to fix fails
    with with relative ARRAY devnames (Closes: #1114744).
  * Adding patch from Peter Mann <peter.mann@sh.cz> to fix memory leak in
    mdadm --monitor --scan (Closes: #1115497).
  * Adding updated Italian debconf translations from Luca Monducci
    <luca.mo@tiscali.it> (Closes: #1114858).
  * Removing in initramfs hook a reference to old documentation file
    removed by upstream, thanks to Lionel Elie Mamane <lionel@mamane.lu>
    (Closes: #1112392).

 -- Daniel Baumann <daniel@debian.org>  Thu, 18 Sep 2025 15:20:58 +0200

mdadm (4.4-12) sid; urgency=medium

  * Removing old link to git.debian.org in README.recipes.
  * Correcting wrong file reference in README.recipes.
  * Adding updated Portuguese debconf translations from Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #1107438).

 -- Daniel Baumann <daniel@debian.org>  Wed, 03 Sep 2025 04:12:40 +0200

mdadm (4.4-11ubuntu3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:27:16 +0100

mdadm (4.4-11ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 28 Aug 2025 19:24:13 +0000

mdadm (4.4-11ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111802). Remaining changes:
    - Ship a finalrd hook.
  * Dropped Changes:
    - Mount efivarfs during initramfs boot phase:
      + Add a initramfs-tools script to mount the efivarfs during the
        initramfs boot phase
        (debian/local/initramfs-tools/init-top/00_mount_efivarfs)
      [Fixed in 4.4-11]

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 27 May 2025 17:43:50 +0530

mdadm (4.4-11) sid; urgency=medium

  [ Daniel Baumann ]
  * Harmonizing watch file.

  [ Cyrus Lien ]
  * Adding a initramfs-tools script to mount the efivarfs during the
    initramfs boot phase (Closes: #1003352, #1103762; LP: #1993541).

 -- Daniel Baumann <daniel@debian.org>  Fri, 25 Apr 2025 18:24:19 +0200

mdadm (4.4-10) sid; urgency=medium

  * Simplifying watch file to make it actually work.

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Apr 2025 21:39:47 +0200

mdadm (4.4-9) sid; urgency=medium

  * Correcting copy paste error in watch file.
  * Updating upstream urls to point to github.
  * Adding updated Brazilian Portuguese debconf translations from Adriano
    Rafael Gomes <adrianorg@debian.org> (Closes: #1103771).

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Apr 2025 12:22:20 +0200

mdadm (4.4-8) sid; urgency=medium

  * Adding updated Romanian debconf translations from Remus-Gabriel Chelu
    <remusgabriel.chelu@disroot.org> (Closes: #1101819).

 -- Daniel Baumann <daniel@debian.org>  Mon, 21 Apr 2025 10:00:25 +0200

mdadm (4.4-7ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Mount efivarfs during initramfs boot phase:
      + Add a initramfs-tools script to mount the efivarfs during the
        initramfs boot phase
        (debian/local/initramfs-tools/init-top/00_mount_efivarfs)
    - Ship a finalrd hook.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 23 Mar 2025 10:04:03 -0500

mdadm (4.4-7) sid; urgency=medium

  * Adding updated Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #1100803).

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 19:06:52 +0100

mdadm (4.4-6ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Mount efivarfs during initramfs boot phase:
      + Add a initramfs-tools script to mount the efivarfs during the
        initramfs boot phase
        (debian/local/initramfs-tools/init-top/00_mount_efivarfs)
    - Ship a finalrd hook.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 20:48:38 -0500

mdadm (4.4-6) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Adding updated Brazilian Poruguese debconf translations from Adriano
    Rafael Gomes <adrianorg@debian.org> (Closes: #1099804).

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Mar 2025 11:18:01 +0100

mdadm (4.4-5ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Mount efivarfs during initramfs boot phase:
      + Add a initramfs-tools script to mount the efivarfs during the
        initramfs boot phase
        (debian/local/initramfs-tools/init-top/00_mount_efivarfs)
    - Ship a finalrd hook.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 18 Feb 2025 15:53:01 -0600

mdadm (4.4-5) sid; urgency=medium

  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 16 Feb 2025 23:12:23 +0100

mdadm (4.4-4ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Mount efivarfs during initramfs boot phase:
      + Add a initramfs-tools script to mount the efivarfs during the
        initramfs boot phase
        (debian/local/initramfs-tools/init-top/00_mount_efivarfs)
    - Ship a finalrd hook.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Feb 2025 23:05:26 -0600

mdadm (4.4-4) sid; urgency=medium

  * Updating vcs fields.
  * Updating my email address.
  * Updating year in debian copyright for 2025.
  * Trimming debian changelog.

 -- Daniel Baumann <daniel@debian.org>  Fri, 14 Feb 2025 06:44:04 +0100

mdadm (4.4-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes (LP: #2097428):
    - Mount efivarfs during initramfs boot phase
      Add initramfs-tools script to mount efivarfs during initramfs boot phase
      (debian/local/initramfs-tools/init-top/00_mount_efivarfs)
    - Ship finalrd hook

 -- Hector Cao <hector.cao@canonical.com>  Wed, 05 Feb 2025 10:14:27 +0100

mdadm (4.4-3) sid; urgency=medium

  * Adding updated German debconf translations from Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #1094018).

 -- Daniel Baumann <daniel@debian.org>  Mon, 27 Jan 2025 17:19:15 +0100

mdadm (4.4-2) sid; urgency=medium

  * Removing readlink-path.patch, not needed anymore with usr-merge.
  * Extending note about non-systemd systems to not run maintenance tasks
    either (Closes: #1055994).
  * Refreshing debconf files.

 -- Daniel Baumann <daniel@debian.org>  Thu, 23 Jan 2025 07:29:48 +0100

mdadm (4.4-1) sid; urgency=high

  * Merging upstream version 4.4.
  * Cherry-picking patch from upstream to update manpage about bitmaps
    being not default anymore (Closes: #1092137).

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jan 2025 11:32:30 +0100

mdadm (4.3+20241202-1.1) sid; urgency=high

  * Non-maintainer upload.
  * Fix chroot detection to avoid displaying the systemd note when mdadm
    is getting installed within d-i (Closes: #1091617).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 28 Dec 2024 20:46:53 +0100

mdadm (4.3+20241202-1) sid; urgency=medium

  * Merging upstream version 4.3+20241202.

 -- Daniel Baumann <daniel@debian.org>  Thu, 12 Dec 2024 18:22:26 +0100

mdadm (4.3+20241108-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes (LP: #2089516):
    - d/*: Mount efivarfs during initramfs boot phase
           Add initramfs-tools script to mount efivarfs during initramfs boot phase
           (debian/local/initramfs-tools/init-top/00_mount_efivarfs)
    - d/* : Ship finalrd hook

 -- Hector Cao <hector.cao@canonical.com>  Mon, 25 Nov 2024 02:40:07 +0100

mdadm (4.3+20241108-1) sid; urgency=medium

  * Merging upstream version 4.3+20241108.
  * Removing mdmonitor-service-simplify.patch, not needed anymore.
  * Renumbering patches.
  * Refreshing host-name-in-default-mailfrom.patch.
  * Refreshing exit-gracefully-when-md-device-not-found.patch.
  * Adding missing header to fix FTBFS.

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Nov 2024 12:41:57 +0100

mdadm (4.3+20240723-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes (LP: #2076403):
    - d/*: Mount efivarfs during initramfs boot phase
           Add initramfs-tools script to mount efivarfs during initramfs boot phase
           (debian/local/initramfs-tools/init-top/00_mount_efivarfs)
    - d/* : Ship finalrd hook
  * Dropped changes, no longer needed:
    - d/p/lp2069821/: mdadm: buffer overflow detected (LP #2069821)
      This patch has been integrated in mdadm upstream
    - d/p/lp2070371/: mdadm: wait for mdmon when it is started via systemd (LP #2070371)
      This patch has been integrated in mdadm upstream

 -- Hector Cao <hector.cao@canonical.com>  Fri, 09 Aug 2024 10:46:46 +0200

mdadm (4.3+20240723-2) sid; urgency=medium

  * Shortening dh_install override in rules.
  * Decluttering comments in rules file.
  * Adding slightly adjusted patch from Chris Hofstaedtler
    <zeha@debian.org> to install into usrmerged layout (Closes: #1073726).
  * Wrap-and-sorting debian files.

 -- Daniel Baumann <daniel@debian.org>  Mon, 29 Jul 2024 18:15:04 +0200

mdadm (4.3+20240723-1) sid; urgency=medium

  * Merging upstream version 4.3+20240723.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Jul 2024 08:17:15 +0200

mdadm (4.3+20240412-1ubuntu2) oracular; urgency=medium

  * d/p/lp2070371/: mdadm: wait for mdmon when it is stared via systemd (LP: #2070371)
  * d/p/lp2069821/: mdadm: buffer overflow detected (LP: #2069821)

 -- Hector Cao <hector.cao@canonical.com>  Mon, 29 Jul 2024 10:06:31 +0200

mdadm (4.3+20240412-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/mdadm.install, d/local/finalrd/mdadm.finalrd:
      Ship finalrd hook
    - d/local/initramfs-tools/init-top/00_mount_efivarfs:
      Mount efivarfs during initramfs boot phase
  * Dropped changes, no longer needed:
    - d/mdadm.maintscript: Ubuntu prior-versions dropped, not needed after
      24.04

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Jun 2024 07:18:58 -0700

mdadm (4.3+20240412-1) sid; urgency=medium

  * Merging upstream version 4.3+20240412.
  * Updating to standards-version 4.7.0.
  * Updating mdadm docs.
  * Updating mdadm examples.
  * Correcting filename of TODO.

 -- Daniel Baumann <daniel@debian.org>  Sat, 27 Apr 2024 05:20:02 +0200

mdadm (4.3-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:17:46 +0000

mdadm (4.3-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control, d/mdadm.install, d/local/finalrd/mdadm.finalrd:
      Ship finalrd hook
    - d/local/initramfs-tools/init-top/00_mount_efivarfs:
      Mount efivarfs during initramfs boot phase
    - d/mdadm.maintscript: Keep Ubuntu prior-versions until after
      the release of 24.04

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Feb 2024 17:19:05 +0000

mdadm (4.3-1) sid; urgency=medium

  * Merging upstream version 4.3.
  * Updating copyright for 2024.

 -- Daniel Baumann <daniel@debian.org>  Wed, 21 Feb 2024 18:13:58 +0100

mdadm (4.2+20240118-1) sid; urgency=medium

  * Merging upstream version 4.2+20240118.
  * Updating years in copyright for 2024.

 -- Daniel Baumann <daniel@debian.org>  Wed, 31 Jan 2024 06:50:56 +0100

mdadm (4.2+20231121-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control, d/mdadm.install, d/local/finalrd/mdadm.finalrd:
      Ship finalrd hook
    - d/local/initramfs-tools/init-top/00_mount_efivarfs:
      Mount efivarfs during initramfs boot phase
    - d/mdadm.maintscript: Keep Ubuntu prior-versions until after
      the release of 24.04

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 03 Jan 2024 10:15:09 +0000

mdadm (4.2+20231121-1) sid; urgency=medium

  * Merging upstream version 4.2+20231121.
  * Harmonizing license blurbs in copyright file.
  * Adding updated German debconf translations from Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #1055789).
  * Adding updated Swedish debconf translations from Martin Bagge
    <brother@persilja.net> (Closes: #1057772).

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Dec 2023 11:57:19 +0100

mdadm (4.2+20231026-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control, d/mdadm.install, d/local/finalrd/mdadm.finalrd:
      Ship finalrd hook
    - d/local/initramfs-tools/init-top/00_mount_efivarfs:
      Mount efivarfs during initramfs boot phase
    - d/mdadm.maintscript: Keep Ubuntu prior-versions until after
      the release of 24.04

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Nov 2023 13:18:00 +0000

mdadm (4.2+20231026-1) sid; urgency=medium

  * Merging upstream version 4.2+20231026.
  * Refreshing fix-manpages.patch.
  * Refreshing no-Werror.patch.

 -- Daniel Baumann <daniel@debian.org>  Wed, 01 Nov 2023 05:09:47 +0100

mdadm (4.2+20230901-1) sid; urgency=medium

  * Merging upstream version 4.2+20230901.

 -- Daniel Baumann <daniel@debian.org>  Tue, 10 Oct 2023 10:48:43 +0200

mdadm (4.2+20230508-7ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control, d/mdadm.install, d/local/finalrd/mdadm.finalrd:
      Ship finalrd hook
    - d/local/initramfs-tools/init-top/00_mount_efivarfs:
      Mount efivarfs during initramfs boot phase
    - d/mdadm.maintscript: Keep Ubuntu prior-versions until after
      the release of 24.04

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 05 Oct 2023 18:00:34 +0000

mdadm (4.2+20230508-7) sid; urgency=medium

  * Removing generated files to fix FTBFS when build twice in a row
    (Closes: #1047538).

 -- Daniel Baumann <daniel@debian.org>  Mon, 14 Aug 2023 11:51:05 +0200

mdadm (4.2+20230508-6ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/control, d/mdadm.install, d/local/finalrd/mdadm.finalrd:
      Ship finalrd hook
    - d/local/initramfs-tools/init-top/00_mount_efivarfs:
      Mount efivarfs during initramfs boot phase
  * d/mdadm.maintscript: Keep Ubuntu prior-versions until after
    the release of 24.04
  * Dropped changes, included in Debian:
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
    - Honor the debconf daily autoscan setting in the systemd timer.
    - d/p/mdcheck-fix-empty-spaces-in-timer-unit-files.patch:
      - The spaces were causing a FTBFS situation, triggered by
        dh_installsystemd not finding units.
    - Mention mdmonitor-oneshot.service instead of /etc/cron.daily/mdadm
      in /etc/default/mdadm

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 11 Aug 2023 09:59:44 +0000

mdadm (4.2+20230508-6) sid; urgency=medium

  * Adding updated Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #1041873).

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Jul 2023 20:44:54 +0200

mdadm (4.2+20230508-5) sid; urgency=medium

  * Updating package descriptions.
  * Adding updated Romanian debconf translations from Remus-Gabriel Chelu
    <remusgabriel.chelu@disroot.org> (Closes: #1039620).

 -- Daniel Baumann <daniel@debian.org>  Fri, 30 Jun 2023 10:07:14 +0200

mdadm (4.2+20230508-4) sid; urgency=medium

  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Jun 2023 16:26:53 +0200

mdadm (4.2+20230508-3) experimental; urgency=medium

  * Updating regex in logcheck ignore patterns for kernels md tunining
    message (LP: #1176560).
  * Adding debconf note when run on non-systemd systems (Closes:
    #1037496).
  * Updating debconf po files.

 -- Daniel Baumann <daniel@debian.org>  Sat, 24 Jun 2023 07:03:53 +0200

mdadm (4.2+20230508-2) sid; urgency=medium

  * Uploading without changes after bookworm release.

 -- Daniel Baumann <daniel@debian.org>  Sun, 11 Jun 2023 14:32:19 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog mdadm`.
